@mixin app-document-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .document-main {
    .mat-form-field-wrapper {
      padding-bottom: 0.3em !important;
    }
    .document-sub {
      padding: 0px 16px;

      .content-main {
        display: flex;
        flex-flow: column wrap;

        .content-sub-grid {
          display: flex;
          align-items: center;
        }

        .content-sub {
          display: flex;
          align-items: center;
          width: 80%;

          .content-sub-checkbox {
            order: 1;
            width: 100%;
            padding-right: 0.5em;
          }

          .content-sub-label {
            order: 1;
            width: 13em;
            padding-right: 0.5em;
            text-align: right;
          }

          .content-sub-field {
            order: 2;
            flex: 1 1 auto;
          }

          .content-sub-field2 {
            order: 3;
            height: 34px;
            margin-top: -5px;
          }

          .fileInput {
            display: none;
          }

          .content-sub-actions {
            order: 3;
            font-size: 2.9em;
            line-height: 20px;
            cursor: pointer;
          }

          .content-sub-middle {
            font-weight: bold;
            margin-bottom: 5px;
          }

          .file-error-msg {
            padding: 0 1em;
            font-size: 0.8em;
            margin-top: -10px;
          }

          .content-sub-label-psychiatric {
            order: 1;
            width: 30%;
            padding-right: 0.5em;
            text-align: right;
          }

          .consent-margin-psychiatric {
            margin-left: 10px;
            margin-right: 10px;
            margin-top: 12px;
            text-align: justify;
          }

          .redLabelBoldLargeText {
            text-align: left;
            color: red;
            font-weight: bold;
            font-size: large;
          }

          .content-sub-label-history {
            order: 1;
            padding-right: 0.5em;
          }

          div .line-height-20 {
            line-height: 20px;
          }

          .content-sub-fld1 {
            order: 1;
            width: 35%;
            //padding-right: 0.5em;
            padding-right: 10px;
            //align-content: flex-end;
            justify-content: flex-end;
            align-self: center;
            text-align: right;
            color: red;
            font-weight: normal;
            flex: 1 1 auto;
          }

          .content-sub-fld2 {
            order: 2;
            width: 15%;
            //padding-left: 0.5em;
            padding-left: 10px;
            //align-content: flex-start;
            justify-content: flex-start;
            text-align: left;
            flex: 1 1 auto;
          }

          .content-sub-fld3 {
            order: 3;
            width: 35%;
            //padding-right: 0.5em;
            padding-right: 10px;
            align-self: center;
            //align-content: flex-end;
            justify-content: flex-end;
            text-align: right;
            color: red;
            font-weight: normal;
            flex: 1 1 auto;
          }

          .content-sub-fld4 {
            order: 4;
            width: 15%;
            //padding-left: 0.5em;
            padding-left: 10px;
            //align-content: flex-start;
            justify-content: flex-start;
            text-align: left;
            flex: 1 1 auto;
          }

          .redLabelText {
            text-align: left;
            color: red;
            font-weight: normal;
          }

          .lblstyle {
            padding: 5px;
            margin-bottom: 5px;
          }

          .mat-checkbox-inner-container {
            margin-top: 5px;
          }
        }
      }

      .toolbar-spacer {
        flex: 1 1 auto;
      }

      .upload {
        font-weight: bold;
        color: #28a745;
        margin-left: 10px;
      }
    }
  }
}
